%global debug_package %{nil}
%global commit f01ea5405979ab9ce7049877f9a0c23927ccb2ec

Name:           operator-sdk
Version:        1.40.0
Release:        1%{?dist}
Summary:        SDK for building Kubernetes applications. Provides high level APIs, useful abstractions, and project scaffolding.

License:        Apache-2.0
URL:            https://github.com/operator-framework/%{name}
Source:         https://github.com/operator-framework/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  go
BuildRequires:  make

%description
The Operator SDK provides the tools to build, test, and package Operators.
Initially, the SDK facilitates the marriage of an application’s business logic
(for example, how to scale, upgrade, or backup) with the Kubernetes API to execute those operations.
Over time, the SDK can allow engineers to make applications smarter and have the user experience of cloud services.
Leading practices and code patterns that are shared across Operators are included in the SDK to help prevent reinventing the wheel.

%prep
%autosetup -n %{name}-%{version}

%build
make GIT_COMMIT=%{commit} SIMPLE_VERSION=v%{version} GIT_VERSION=v%{version} build

mkdir generated_completions
./build/%{name} completion bash > generated_completions/%{name}
./build/%{name} completion fish > generated_completions/%{name}.fish
./build/%{name} completion zsh  > generated_completions/_%{name}
./build/helm-operator completion bash > generated_completions/helm-operator
./build/helm-operator completion fish > generated_completions/helm-operator.fish
./build/helm-operator completion zsh  > generated_completions/_helm-operator

%install
install -Dpm 0755 ./build/%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm 0755 ./build/helm-operator %{buildroot}%{_bindir}/helm-operator
install -Dpm 0644 generated_completions/%{name}      -t %{buildroot}/%{bash_completions_dir}/
install -Dpm 0644 generated_completions/%{name}.fish -t %{buildroot}/%{fish_completions_dir}/
install -Dpm 0644 generated_completions/_%{name}     -t %{buildroot}/%{zsh_completions_dir}/
install -Dpm 0644 generated_completions/helm-operator      -t %{buildroot}/%{bash_completions_dir}/
install -Dpm 0644 generated_completions/helm-operator.fish -t %{buildroot}/%{fish_completions_dir}/
install -Dpm 0644 generated_completions/_helm-operator     -t %{buildroot}/%{zsh_completions_dir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/helm-operator
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}
%{bash_completions_dir}/helm-operator
%{fish_completions_dir}/helm-operator.fish
%{zsh_completions_dir}/_helm-operator

%changelog
* Sun Jul 06 2025 Andrey Brusnik <dev@shdwchn.io> - 1.40.0-1
- chore(operator-sdk): Bump to 1.40.0

* Mon Apr 07 2025 Andrey Brusnik <dev@shdwchn.io> - 1.39.2-1
- feat: Add operator-sdk package
